#include "about.h"
#include "macros.h"
#include "options.h"
#include "qmc2main.h"

// external global variables
extern MainWindow *qmc2MainWindow;
extern Options *qmc2Options;

About::About(QWidget *parent)
  : QDialog(parent)
{
#ifdef QMC2_DEBUG
  qmc2MainWindow->log(LOG_QMC2, "DEBUG: About::About(QWidget *parent = 0x" + QString::number((ulong)parent, 16) + ")");
#endif

  setupUi(this);

  QString s = "<table cellpadding=2 cellspacing=2><tr><td>" + tr("Version:") + "</td><td>" +
              "QMC2 v" + QString::number(MAJOR) + "." + QString::number(MINOR) +
#ifdef BETA
              ".b" + QString::number(BETA) +
#endif
              "</td></tr><tr><td>" + tr("MAME target:") + "</td><td>" + 
#ifdef SDLMAME
              "SDLMAME" +
#else
              "XMAME" +
#endif
              "</td></tr><tr><td>" + tr("Build OS:") + "</td><td>" + 
              XSTR(TARGET_OS_NAME) + " " + XSTR(TARGET_OS_RELEASE) + " " + XSTR(TARGET_MACHINE) +
              "</td></tr><tr><td>" + tr("Copyright:") + "</td><td>" +
              "&copy; 2006 - 2007, R. Reucher</td></tr><tr><td>" + tr("License:") + 
              "</td><td>" + tr("GNU General Public License, v2") +
              "</td></tr></table>";

  copyrightLabel->setText(s);
}

About::~About()
{
#ifdef QMC2_DEBUG
  qmc2MainWindow->log(LOG_QMC2, "DEBUG: About::~About()");
#endif

}
